CB-13294 Remove cordova-plugin-compat
authorKelvin Dart <kelvin.dart@crimsontide.co.uk>
Wed, 18 Oct 2017 15:52:17 +0000 (16:52 +0100)
committerSteve Gill <stevengill97@gmail.com>
Fri, 20 Oct 2017 02:10:59 +0000 (19:10 -0700)
 This closes #96

package.json
plugin.xml

index 5924167..ba37f40 100644 (file)
@@ -1,6 +1,6 @@
 {
   "name": "cordova-plugin-geolocation",
-  "version": "2.4.4-dev",
+  "version": "3.0.0-dev",
   "description": "Cordova Geolocation Plugin",
   "cordova": {
     "id": "cordova-plugin-geolocation",
@@ -48,7 +48,7 @@
   "engines": {
     "cordovaDependencies": {
       "3.0.0": {
-        "cordova": ">100"
+        "cordova-android": ">=6.3.0"
       }
     }
   },
index adb28e3..cf93db8 100644 (file)
@@ -22,7 +22,7 @@
 xmlns:rim="http://www.blackberry.com/ns/widgets"
 xmlns:android="http://schemas.android.com/apk/res/android"
            id="cordova-plugin-geolocation"
-      version="2.4.4-dev">
+      version="3.0.0-dev">
 
     <name>Geolocation</name>
     <description>Cordova Geolocation Plugin</description>
@@ -31,7 +31,9 @@ xmlns:android="http://schemas.android.com/apk/res/android"
     <repo>https://git-wip-us.apache.org/repos/asf/cordova-plugin-geolocation.git</repo>
     <issue>https://issues.apache.org/jira/browse/CB/component/12320638</issue>
 
-    <dependency id="cordova-plugin-compat" version="^1.0.0" />
+    <engines>
+        <engine name="cordova-android" version=">=6.3.0" />
+    </engines>
 
     <!-- android -->
     <platform name="android">